Skip to main content

Get Bank Account Transactions

GET 

/transaction/bank-account/:id

Retrieves the paid transactions received by a bank account registered through Register Bank Account, 80 per page and newest first. This includes the CoDi QR and CoDi push notification transactions that were created with that bankAccountId. If there are more transactions, use the nextToken from the response to retrieve the next page. You can only retrieve transactions of bank accounts registered with your API key; accounts that do not exist or belong to another API key return a 404.

Request​

Responses​

Bank account transactions retrieved successfully